/* info on a .CMD file */

#include <stdio.h>

unsigned char cByte[32768];

void Info(char *szFile)
{
int n,nSize,nType,nLoad;
FILE *f = fopen(szFile,"rb");
if (f == NULL) exit(fprintf(stderr,"couldn't open %s\n",szFile));
n = fread(cByte,1,32768,f);
fclose(f);
printf("File %s (%d bytes)\n",szFile,n);
n = 0;
do
	{
	nType = cByte[n];
	nSize = cByte[n+1];
	nLoad = cByte[n+2] | (cByte[n+3] << 8);

	if (nSize == 0) nSize = 256;
	switch(nType)
		{
		case 1:
			printf("Data block @%x size %d\n",nLoad,nSize-2);
			break;
		case 2:
			printf("End of Data run @%x\n",nLoad);
			break;
		default:
			printf("Comment block size %d\n",nSize);
			break;
		}
	n = n + 2 + nSize;
	}
while (nType != 2 && nType != 0);
}

void main(int argc,char *argv[])
{
int i;
for (i = 1;i < argc;i++) Info(argv[i]);
}

